%define	pkgname	argo
Name:           argo-server
Version:        0.6
Release:        8.1
Summary:        Argo - Xen Control Panel

Group:          Applications/Emulators
License:        GPLv2 or Artistic
URL:            http://xen-tools.org/software/argo/
Source0:        http://xen-tools.org/software/argo/%{pkgname}-%{version}.tar.gz
Patch0:		%{pkgname}-makefile.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Requires:       perl
BuildRequires:	perl
AutoReqProv:    no

%description
A networked control panel for the Xen virtual machine
This package contains a simple text-based network server which
allows you to manipulate the Xen hyperviser remotely.
This network server may be used by various clients to control a running Xen host.
Two existing clients are already available: argo-client-perl and argo-client-php



%package client-dialog
Summary:	A simple curses based client for the argo-server
Group:		Applications/Emulators

%description client-dialog
This package contains an extremely simple curses-based GUI to the Argo monitor.
The client will allow you to conduct minimal operations upon the server.



%package client-php
Summary:	A PHP client for the argo-server
Group:		Applications/Emulators

%description client-php
This package contains an extremely simple PHP client for the argo server.
This client allows you to perform basic operations on a collection of Xen instances.



%package client-perl
Summary:	A graphical perl client for the argo-server
Group:		Applications/Emulators

%description client-perl
This package contains an extremely simple Perl GUI to the Xen monitoring system, using Gtk.
The client will display basic information about each available instance and allow you to perform basic operations on it.



%package -n perl-Xen-Monitor
Summary:	A perl interface to the Xen virtual machine
Group:		Applications/Emulators
Requires:	perl

%description -n perl-Xen-Monitor
Xen::Monitor is a perl interface to the Xen hypervisor, allowing
you to programmatically start, stop, pause, unpause, and otherwise manipulate Xen instances.



%prep
%setup -q -n %{pkgname}-%{version}
%patch0

%build


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%config(noreplace) %{_sysconfdir}/argo-server
%config %{_sysconfdir}/default/argo-server
%dir %{_datadir}/perl5
%dir %{_datadir}/perl5/Xen
%dir %{_datadir}/perl5/Xen/Monitor
%dir %{_datadir}/perl5/Xen/Monitor/Plugins
%{_bindir}/argo-server
%{_mandir}/man8/argo-server.8*
%{_datadir}/perl5/Xen/Monitor/Server.pm
%{_datadir}/perl5/Xen/Monitor/Plugins/*.pm

%files client-dialog
%defattr(-,root,root,-)
%{_bindir}/argo-dialog
%{_mandir}/man8/argo-dialog.8*

%files client-php
%defattr(-,root,root,-)
%dir %{_datadir}/argo
%{_datadir}/argo/*.php
%{_datadir}/argo/*.inc

%files client-perl
%defattr(-,root,root,-)
%{_bindir}/argo-perl
%{_mandir}/man8/argo-perl.8*

%files -n perl-Xen-Monitor
%defattr(-,root,root,-)
%{_datadir}/perl5
%{_datadir}/perl5/Xen
%{_datadir}/perl5/Xen/Monitor.pm
%{_datadir}/perl5/Xen/Host.pm

%changelog
* Sun Apr 27 2008 Carsten Schoene <cs@linux-administrator.com>
- Initial build

